;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: Counter32_1.inc
;;   Version: 2.5, Updated on 2006/05/15 at 14:57:17
;;  Generated by PSoC Designer ver 4.3  b1884 : 23 June, 2006
;;
;;  DESCRIPTION: Assembler declarations for the Counter32 user module interface
;;               for the 22/24/27/29xxx PSoC family of devices
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress MicroSystems 2000-2004. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

include "m8c.inc"


;--------------------------------------------------
; Constants for Counter32_1 API's.
;--------------------------------------------------

Counter32_1_CONTROL_REG_START_BIT:         equ 0x01    ; Control register start bit
Counter32_1_INT_REG:                       equ 0x0e1
Counter32_1_INT_MASK:                      equ 0x08


;--------------------------------------------------
; Constants for Counter32_1 user defined values
;--------------------------------------------------

Counter32_1_PERIOD:                        equ 0x1e847f
Counter32_1_COMPARE_VALUE:                 equ 0xf4240


;--------------------------------------------------
; Register Address Constants for Counter32_1
;--------------------------------------------------

Counter32_1_COUNTER_LSB_REG:           equ 0x20   ; DR0 Counter register
Counter32_1_COUNTER_ISB1_REG:          equ 0x24
Counter32_1_COUNTER_ISB2_REG:          equ 0x28
Counter32_1_COUNTER_MSB_REG:           equ 0x2c
Counter32_1_PERIOD_LSB_REG:            equ 0x21   ; DR1 Period register
Counter32_1_PERIOD_ISB1_REG:           equ 0x25
Counter32_1_PERIOD_ISB2_REG:           equ 0x29
Counter32_1_PERIOD_MSB_REG:            equ 0x2d
Counter32_1_COMPARE_LSB_REG:           equ 0x22   ; DR2 CompareValue register
Counter32_1_COMPARE_ISB1_REG:          equ 0x26
Counter32_1_COMPARE_ISB2_REG:          equ 0x2a
Counter32_1_COMPARE_MSB_REG:           equ 0x2e
Counter32_1_CONTROL_LSB_REG:           equ 0x23   ; Control register
Counter32_1_CONTROL_ISB1_REG:          equ 0x27
Counter32_1_CONTROL_ISB2_REG:          equ 0x2b
Counter32_1_CONTROL_MSB_REG:           equ 0x2f
Counter32_1_FUNC_LSB_REG:              equ 0x20   ; Function register
Counter32_1_FUNC_ISB1_REG:             equ 0x24
Counter32_1_FUNC_ISB2_REG:             equ 0x28
Counter32_1_FUNC_MSB_REG:              equ 0x2c
Counter32_1_INPUT_LSB_REG:             equ 0x21   ; Input register
Counter32_1_INPUT_ISB1_REG:            equ 0x25
Counter32_1_INPUT_ISB2_REG:            equ 0x29
Counter32_1_INPUT_MSB_REG:             equ 0x2d
Counter32_1_OUTPUT_LSB_REG:            equ 0x22   ; Output register
Counter32_1_OUTPUT_ISB1_REG:           equ 0x26
Counter32_1_OUTPUT_ISB2_REG:           equ 0x2a
Counter32_1_OUTPUT_MSB_REG:            equ 0x2e


;--------------------------------------------------
; Counter32_1 Macro 'Functions'
;--------------------------------------------------

   macro Counter32_1_Start_M
   or    reg[Counter32_1_CONTROL_LSB_REG],  Counter32_1_CONTROL_REG_START_BIT
   endm

   macro Counter32_1_Stop_M
   and   reg[Counter32_1_CONTROL_LSB_REG], ~Counter32_1_CONTROL_REG_START_BIT
   endm

   macro Counter32_1_EnableInt_M
   M8C_EnableIntMask Counter32_1_INT_REG, Counter32_1_INT_MASK
   endm

   macro Counter32_1_DisableInt_M
   M8C_DisableIntMask Counter32_1_INT_REG, Counter32_1_INT_MASK
   endm


; end of file Counter32_1.inc
